LATEST VERSION: 3.6.5 - CHANGELOG
Pivotal RabbitMQ v3.x

JMS Client and RabbitMQ Server Compatibility

The JMS Client for Pivotal RabbitMQ includes a RabbitMQ server plugin that works only with specific versions of RabbitMQ Server and Java (AMQP) clients. The following table lists all recent versions of JMS Client for Pivotal RabbitMQ and the corresponding versions of RabbitMQ server and RabbitMQ Java clients with which it is compatible.

JMS Client Version RabbitMQ Server Version Java (AMQP) Client Versions Erlang Runtime Versions
1.4.4 3.5.4 3.5.4 ≥R14
1.3.1 3.4.1 3.4.1 ≥R14
1.3.01 N/A N/A N/A

1 A cosmetic bug in the management user interface of open source RabbitMQ 3.4.0 prompted fixes and an expedited release of version 3.4.1. Pivotal RabbitMQ 3.4.0 was not released. Correspondingly, no JMS client was packaged for this release.